=== debian/changelog ===
sratom (0.2.0~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #669343)

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 10:47:31 +0200
