=== debian/changelog ===
sratom (0.4.0~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Implement mechanism to automatically repack the upstream tarball.
  * Install NEWS as upstream changelog.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Sep 2012 18:17:28 +0200
