## sratom 0.4.2~dfsg0

=== debian/changelog ===
sratom (0.4.2~dfsg0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:39:36 +0200

sratom (0.4.2~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Needs sord >= 0.12.0.
  * Tigthen build-dep on libserd-dev (>= 0.18.0~)
  * Aill -dev's Depends field up properly by adding libsord-dev,
    libserd-dev and lv2-dev.
  * Fix libsratom-doc.install file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Mar 2013 17:18:50 +0000
