=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libserd-dev,
- libsord-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~dfsg0),
  lv2-dev,
  pkg-config,
  python
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/sratom/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git
@@ -24,7 +24,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~dfsg0),
  libsratom-0-0 (= ${binary:Version}),
+ lv2-dev,
  ${misc:Depends}
 Recommends:
  pkg-config
