## sratom 0.4.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,28 +1,21 @@
 #!/usr/bin/env python
 import os
 import subprocess
+import waflib.Options as Options
+import waflib.extras.autowaf as autowaf
 
-from waflib.extras import autowaf as autowaf
-import waflib.Options as Options
-
-# Version of this package (even if built as a child)
-SRATOM_VERSION       = '0.4.0'
-SRATOM_MAJOR_VERSION = '0'
-
-# Library version (UNIX style major, minor, micro)
+# Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-# Sratom uses the same version number for both library and package
-SRATOM_LIB_VERSION = SRATOM_VERSION
+SRATOM_VERSION       = '0.4.4'
+SRATOM_MAJOR_VERSION = '0'
 
-# Variables for 'waf dist'
-APPNAME = 'sratom'
-VERSION = SRATOM_VERSION
-
-# Mandatory variables
-top = '.'
-out = 'build'
+# Mandatory waf variables
+APPNAME = 'sratom'        # Package name for waf dist
+VERSION = SRATOM_VERSION  # Package version for waf dist
+top     = '.'             # Source directory
+out     = 'build'         # Build directory
 
 def options(opt):
     opt.load('compiler_c')
@@ -53,19 +46,21 @@
                       define_name='HAVE_GCOV',
                       mandatory=False)
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
+                      atleast_version='1.0.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.8.0', mandatory=True)
+                      atleast_version='0.12.0', mandatory=True)
 
     autowaf.define(conf, 'SRATOM_VERSION', SRATOM_VERSION)
+    autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
     conf.write_config_header('sratom_config.h', remove=False)
 
     autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
     print('')
 
-lib_source = [ 'src/sratom.c' ]
+lib_source = ['src/sratom.c']
 
 def build(bld):
     # C Headers
@@ -94,7 +89,7 @@
                   lib             = libs,
                   name            = 'libsratom',
                   target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
-                  vnum            = SRATOM_LIB_VERSION,
+                  vnum            = SRATOM_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['SRATOM_SHARED', 'SRATOM_INTERNAL'],
                   cflags          = libflags)
@@ -109,7 +104,7 @@
                   lib             = libs,
                   name            = 'libsratom_static',
                   target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
-                  vnum            = SRATOM_LIB_VERSION,
+                  vnum            = SRATOM_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['SRATOM_INTERNAL'])
         autowaf.use_lib(bld, obj, 'SERD SORD LV2')
