=== debian/changelog ===
sratom (0.4.4~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * Imported Upstream version 0.4.4~dfsg0
  * Bump Standards.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jan 2014 10:15:42 +0000
