=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libserd-dev (>= 0.18.0~),
@@ -14,7 +15,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/sratom/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git
