## sratom 0.4.6~dfsg0

=== debian/changelog ===
sratom (0.4.6~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned get-orig-source.
  * Remove --debug from configure to cppflags be passed.

  [ Alessio Treglia ]
  * Add symbols control file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Aug 2014 11:30:29 +0100
