## sratom 0.6.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/env python
 import os
 import subprocess
+import waflib.Logs as Logs
 import waflib.Options as Options
 import waflib.extras.autowaf as autowaf
 
@@ -8,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SRATOM_VERSION       = '0.4.4'
+SRATOM_VERSION       = '0.6.0'
 SRATOM_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -19,9 +20,7 @@
 
 def options(opt):
     opt.load('compiler_c')
-    autowaf.set_options(opt)
-    opt.add_option('--test', action='store_true', dest='build_tests',
-                   help="Build unit tests")
+    autowaf.set_options(opt, test=True)
     opt.add_option('--static', action='store_true', dest='static',
                    help="Build static library")
     opt.add_option('--no-shared', action='store_true', dest='no_shared',
@@ -33,23 +32,16 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Sratom Configuration')
 
-    conf.env.BUILD_TESTS  = Options.options.build_tests
     conf.env.BUILD_SHARED = not Options.options.no_shared
     conf.env.BUILD_STATIC = Options.options.static
 
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
 
-    # Check for gcov library (for test coverage)
-    if conf.env.BUILD_TESTS:
-        conf.check_cc(lib='gcov',
-                      define_name='HAVE_GCOV',
-                      mandatory=False)
-
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.0.0', mandatory=True)
+                      atleast_version='1.10.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.14.0', mandatory=True)
+                      atleast_version='0.23.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                       atleast_version='0.12.0', mandatory=True)
 
@@ -57,7 +49,7 @@
     autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
     conf.write_config_header('sratom_config.h', remove=False)
 
-    autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
+    autowaf.display_msg(conf, "Unit tests", bool(conf.env.BUILD_TESTS))
     print('')
 
 lib_source = ['src/sratom.c']
@@ -112,9 +104,10 @@
     if bld.env.BUILD_TESTS:
         test_libs   = libs
         test_cflags = ['']
-        if bld.is_defined('HAVE_GCOV'):
-            test_libs   += ['gcov']
-            test_cflags += ['-fprofile-arcs', '-ftest-coverage']
+        test_linkflags  = ['']
+        if not bld.env.NO_COVERAGE:
+            test_cflags    += ['--coverage']
+            test_linkflags += ['--coverage']
 
         # Static library (for unit test code coverage)
         obj = bld(features     = 'c cstlib',
@@ -125,7 +118,8 @@
                   target       = 'sratom_profiled',
                   install_path = '',
                   defines      = defines + ['SRATOM_INTERNAL'],
-                  cflags       = test_cflags)
+                  cflags       = test_cflags,
+                  linkflags    = test_linkflags)
         autowaf.use_lib(bld, obj, 'SERD SORD LV2')
 
         # Unit test program
@@ -137,7 +131,10 @@
                   target       = 'sratom_test',
                   install_path = '',
                   defines      = defines,
-                  cflags       = test_cflags)
+                  cflags       = test_cflags,
+                  linkflags    = test_linkflags)
+
+        autowaf.use_lib(bld, obj, 'SERD SORD LV2')
 
     # Documentation
     autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)
@@ -149,7 +146,8 @@
 def test(ctx):
     autowaf.pre_test(ctx, APPNAME)
     os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
-    autowaf.run_tests(ctx, APPNAME, ['sratom_test'], dirs=['./src','./tests'])
+    Logs.pprint('GREEN', '')
+    autowaf.run_test(ctx, APPNAME, 'sratom_test', dirs=['./src','./tests'])
     autowaf.post_test(ctx, APPNAME)
 
 def lint(ctx):
@@ -161,3 +159,14 @@
 
 def upload_docs(ctx):
     os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sratom/")
+
+def posts(ctx):
+    path = str(ctx.path.abspath())
+    autowaf.news_to_posts(
+        os.path.join(path, 'NEWS'),
+        {'title'        : 'Sratom',
+         'description'  : autowaf.get_blurb(os.path.join(path, 'README')),
+         'dist_pattern' : 'http://download.drobilla.net/sratom-%s.tar.bz2'},
+        { 'Author' : 'drobilla',
+          'Tags'   : 'Hacking, LAD, LV2, RDF, Sratom' },
+        os.path.join(out, 'posts'))
