=== debian/changelog ===
sratom (0.6.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.6.0~dfsg0
  * Patch refreshed.
  * Tighten B-D for libserd-dev.
  * Bump Standards.
  * Fix VCS fields.
  * Update symbols file.
  * Fix hardening.
  * Update copyright file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Sep 2016 02:47:37 +0200
