=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
- libserd-dev (>= 0.18.0~),
+ libserd-dev (>= 0.24.0~),
  libsord-dev (>= 0.12.0~dfsg0),
  lv2-dev,
  pkg-config,
@@ -15,10 +15,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/sratom/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sratom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sratom.git
 
 Package: libsratom-dev
 Section: libdevel
