## sratom 0.6.4

=== debian/changelog ===
sratom (0.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #929088)
    + Annotate Build-Depends: python with :native.
    + Pass cross tools to waf.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/:
    - Use python3 to run waf (Closes: #943235)
    - Bump debhelper compat to 12
  * debian/rules: Remove get-orig-source
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Pre-Depends
    - Set RRR: no
    - Bump build dependencies

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 21:41:55 +0100
