=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: sratom
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
- libserd-dev (>= 0.24.0~),
- libsord-dev (>= 0.12.0~dfsg0),
- lv2-dev,
+ debhelper-compat (= 12),
+ libserd-dev (>= 0.30),
+ libsord-dev (>= 0.14),
+ lv2-dev (>= 1.16),
  pkg-config,
- python
+ python3:native,
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Homepage: http://drobilla.net/software/sratom/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sratom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sratom.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
+Rules-Requires-Root: no
 
 Package: libsratom-dev
 Section: libdevel
@@ -49,7 +50,6 @@
 Package: libsratom-0-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
