=== debian/changelog ===
sratom (0.6.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 0.6.6
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Add Build-Depends-Package to symbols file
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Update d/copyright year
  * d/copyright: http > https
  * Update ldconfig patch
  * Make build reproducible. Thanks to Chris Lamb! (Closes: #966531)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 08 Oct 2020 15:15:07 +0200
